//random
//plugin v1
//Description: returns a random integer value between the minimum and maximum value passed into the function
//======
//USAGE:
//var myRandomNumber = $.getRandomNumber(min, max);
//=======
//DEFAULTS:
//if no numbers are passed in it will return a value between 0 and 100


(function($){

	$.getRandomNumber = function(min, max){
		
		
		if(min >= max || typeof min !== 'number' || typeof max !== 'number'){
			return null;
		}else{
			var min = min ? min : 0,
				max = max ? max : 100,
				adjustedMax = (parseFloat(max) - parseFloat(min)) + 1,
				numRand = Math.floor(Math.random()*adjustedMax) + parseFloat(min)
			;
			
			return numRand;
		}
	};
})(jQuery);