//
(function($){

	$.fn.jfollow = function(followme, pad){
		
		var pad = pad ? pad : 20;
	
		return this.each(function(){
			var that = $(this),
				follow = $(followme),
				oldcss = {
					position: that.css('position'),
					top: that.css('top'),
					left: that.css('left')
				}
			;
			
			var followfn = function(){
				var wintop = $(window).scrollTop(),
					fpos = follow.offset()
				;
				
				if(wintop >= fpos.top - pad){
					
					that.css({
						position: 'fixed',
						top: pad,
						left: fpos.left - $(window).scrollLeft()
					});
				}else{
					that.css(oldcss)
				};
			};
			
			$(window).bind('scroll resize', followfn);
			
			followfn();
		});
	};
})(jQuery);